;InnoSetupVersion=5.1.7

[Setup]
AppName=Diff Commander (Bundle Edition)
AppVerName=Diff Commander 2.0 Bundle Edition (build 0206) for Windows NT/2000/XP
AppId=Diff Commander Bundle 2.x (unicode)
AppVersion=2.0.206.1
AppPublisher=Nikeware, Inc.
AppPublisherURL=http://www.nikeware.com
AppSupportURL=http://www.nikeware.com/forum/index.php
AppUpdatesURL=http://www.nikeware.com/download.htm
AppComments=A brand new level of flexibility in folder comparison and synchronization
DefaultDirName={code:GetDefaultDirName}\Nikeware\DiffCmd Bundle
DefaultGroupName=Diff Commander (Bundle Edition)
OutputBaseFilename=diffcmdu_bundle
Compression=lzma
PrivilegesRequired=none
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\UserImages.bmp"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\nikeware.url"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\register.url"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\license.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{sys}\mfc42u.dll"; DestDir: "{sys}"; Check: "IsAdmin(True)"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{app}\mfc42u.dll"; DestDir: "{app}"; Check: "IsAdmin(False)"; Flags: ignoreversion 
Source: "{sys}\msvcrt.dll"; DestDir: "{sys}"; Check: "IsAdmin(True)"; Flags: uninsneveruninstall restartreplace sharedfile 
Source: "{app}\msvcrt.dll"; DestDir: "{app}"; Check: "IsAdmin(False)"; Flags: ignoreversion 
Source: "{sys}\msvcp60.dll"; DestDir: "{sys}"; Check: "IsAdmin(True)"; Flags: uninsneveruninstall restartreplace sharedfile 
Source: "{app}\msvcp60.dll"; DestDir: "{app}"; Check: "IsAdmin(False)"; Flags: ignoreversion 
Source: "{app}\diffcmd.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\treelistu.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{sys}\sfFTPLib.dll"; DestDir: "{sys}"; Check: "IsAdmin(True)"; Flags: restartreplace regserver sharedfile 
Source: "{app}\sfFTPLib.dll"; DestDir: "{app}"; Check: "IsAdmin(False)"; Flags: restartreplace regserver 
Source: "{app}\htmlayout.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ExtTools\ImageViewer\ImageViewer.hta"; DestDir: "{app}\ExtTools\ImageViewer"; Flags: ignoreversion 
Source: "{app}\ExtTools\ImageViewer\ImageViewer.ico"; DestDir: "{app}\ExtTools\ImageViewer"; Flags: ignoreversion 
Source: "{app}\ExtTools\ImageViewer\none.swf"; DestDir: "{app}\ExtTools\ImageViewer"; Flags: ignoreversion 
Source: "{app}\ExtTools\ImageViewer\paneleft.htm"; DestDir: "{app}\ExtTools\ImageViewer"; Flags: ignoreversion 
Source: "{app}\ExtTools\ImageViewer\paneright.htm"; DestDir: "{app}\ExtTools\ImageViewer"; Flags: ignoreversion 
Source: "{app}\ExtTools\ImageViewer\scripts.js"; DestDir: "{app}\ExtTools\ImageViewer"; Flags: ignoreversion 
Source: "{app}\profiles.reg"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Tipsdc.dat"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\VisCmp.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\ClrEdt.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Parser.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\VisCmp.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Report\n.gif"; DestDir: "{app}\Report"; Flags: ignoreversion 
Source: "{app}\Report\p.gif"; DestDir: "{app}\Report"; Flags: ignoreversion 
Source: "{app}\Report\paneleft.htm"; DestDir: "{app}\Report"; Flags: ignoreversion 
Source: "{app}\Report\paneright.htm"; DestDir: "{app}\Report"; Flags: ignoreversion 
Source: "{app}\Report\Report-h.htm"; DestDir: "{app}\Report"; Flags: ignoreversion 
Source: "{app}\Report\Report-v.htm"; DestDir: "{app}\Report"; Flags: ignoreversion 
Source: "{app}\Report\scripts.js"; DestDir: "{app}\Report"; Flags: ignoreversion 
Source: "{app}\Report\toolbar.htm"; DestDir: "{app}\Report"; Flags: ignoreversion 
Source: "{app}\Parsers\nikeware.prs"; DestDir: "{app}\Parsers"; Flags: ignoreversion 
Source: "{app}\Parsers\css_u.prs"; DestDir: "{app}\Parsers"; Flags: ignoreversion 
Source: "{app}\Parsers\html_u.prs"; DestDir: "{app}\Parsers"; Flags: ignoreversion 
Source: "{app}\Tipsvc.dat"; DestDir: "{app}"; Flags: ignoreversion 

[Dirs]
Name: "{app}\cache"; 

[Registry]
Root: HKCU; Subkey: "Software\Nikeware"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Nikeware\Diff Commander"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Nikeware\Diff Commander\Settings"; Flags: deletekey 
Root: HKCU; Subkey: "Software\Nikeware\Visual Comparer"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Nikeware\Visual Comparer\Customize"; Flags: deletekey 
Root: HKCR; Subkey: ".dcss"; ValueType: String; ValueData: "diffcmd_dcss_shell_open"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "diffcmd_dcss_shell_open"; ValueType: String; Flags: uninsdeletekey 
Root: HKCR; Subkey: "diffcmd_dcss_shell_open\DefaultIcon"; ValueType: String; ValueData: """{app}\diffcmd.exe"", 1"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "diffcmd_dcss_shell_open\shell\open\command"; ValueType: String; ValueData: """{app}\diffcmd.exe"" ""%1"""; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Nikeware\Diff Commander\"; ValueName: "ExeLocation"; ValueType: String; ValueData: "{app}\diffcmd.exe"; 
Root: HKCU; Subkey: "Software\Nikeware\Visual Comparer\"; ValueName: "ExeLocation"; ValueType: String; ValueData: "{app}\viscmp.exe"; 

[Run]
Filename: "{win}\regedit.exe"; Parameters: "/s ""{app}\profiles.reg"""; 
Filename: "{app}\diffcmd.exe"; Parameters: "/reg"; 
Filename: "{app}\diffcmd.exe"; Description: "Launch application"; Flags: postinstall skipifsilent nowait

[Icons]
Name: "{userdesktop}\Diff Commander"; Filename: "{app}\diffcmd.exe"; WorkingDir: "{app}"; Comment: """Merging made easy!"""; Tasks: desktopicon; 
Name: "{userdesktop}\Visual Comparer"; Filename: "{app}\viscmp.exe"; WorkingDir: "{app}"; Comment: """To merge or not to merge?"""; Tasks: desktopicon; 
Name: "{group}\Diff Commander"; Filename: "{app}\diffcmd.exe"; WorkingDir: "{app}"; Comment: """Merging made easy!"""; 
Name: "{group}\Visual Comparer"; Filename: "{app}\viscmp.exe"; WorkingDir: "{app}"; Comment: """To merge or not to merge?"""; 
Name: "{group}\Visual Comparer Help"; Filename: "{app}\VisCmp.chm"; 
Name: "{group}\Home page"; Filename: "{app}\nikeware.url"; 
Name: "{group}\Register"; Filename: "{app}\register.url"; 
Name: "{group}\Read Me"; Filename: "{app}\ReadMe.txt"; 
Name: "{group}\License"; Filename: "{app}\License.txt"; 
Name: "{group}\Uninstall"; Filename: "{app}\unins000.exe"; Parameters: "unins000.dat"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icons"; GroupDescription: "Additional icons:"; 

[InstallDelete]
Type: files; Name: "{app}\Langdc.dll"; 
Type: files; Name: "{app}\Langvc.dll"; 

[UninstallDelete]
Type: files; Name: "{app}\Langdc.dll"; 
Type: files; Name: "{app}\Langvc.dll"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...
RegForm_Caption=Registration Form
RegForm_Description=Please, enter your registration info
RegForm_RegText_Caption0=If you already have your registration info, please, enter here
RegForm_RegText_Caption1=registration name, order ID, amount of seats and registration key
RegForm_RegText_Caption2=that has been received after license purchase.
RegForm_Name_Caption0=Name:
RegForm_Label1_Caption0=Order ID:
RegForm_Label2_Caption0=Key:
RegForm_Label3_Caption0=Amount of seats:
RegForm_Label4_Caption0=3. If you don't have registration info, please click here:
RegForm_Label5_Caption0=Warning! All fields are case sensitive.
RegForm_Label6_Caption0=1. You can SKIP this page.  Bundle Edition will work in TRIAL MODE.
RegForm_Label7_Caption0=2.
RegForm_Button1_Caption0=Register!
RegForm_RegURL=http://www.nikeware.com/reg_bundle.php
RegForm_NotCompletely=Some fields not entered completely!

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
